import * as React from 'react';
import { BarLabelOwnerState } from "./BarLabel.types.js";
export declare const BarLabelComponent: import("@emotion/styled").StyledComponent<import("@mui/system").MUIStyledCommonProps<import("@mui/material").Theme>, Pick<React.SVGTextElementAttributes<SVGTextElement>, keyof React.SVGTextElementAttributes<SVGTextElement>>, {}>;
export type BarLabelProps = Omit<React.SVGProps<SVGTextElement>, 'ref' | 'id' | 'x' | 'y' | 'width' | 'height'> & BarLabelOwnerState & {
  /**
   * The x-coordinate of the stack this bar label belongs to.
   */
  xOrigin: number;
  /**
   * The y-coordinate of the stack this bar label belongs to.
   */
  yOrigin: number;
  /**
   * Position in the x-axis of the bar this label belongs to.
   */
  x: number;
  /**
   * Position in the y-axis of the bar this label belongs to.
   */
  y: number;
  /**
   * Width of the bar this label belongs to.
   */
  width: number;
  /**
   * Height of the bar this label belongs to.
   */
  height: number;
};
declare function BarLabel(inProps: BarLabelProps): React.JSX.Element;
declare namespace BarLabel {
  var propTypes: any;
}
export { BarLabel };