import type { ChartDataProviderProps } from "./ChartDataProvider.js";
import { ChartProviderProps } from "../context/ChartProvider/index.js";
import { ChartAnyPluginSignature } from "../internals/plugins/models/index.js";
import { ChartSeriesType } from "../models/seriesType/config.js";
import { AllPluginSignatures } from "../internals/plugins/allPlugins.js";
import { ChartsLocalizationProviderProps } from "../ChartsLocalizationProvider/index.js";
export declare const useChartDataProviderProps: <TSeries extends ChartSeriesType = ChartSeriesType, TSignatures extends readonly ChartAnyPluginSignature[] = AllPluginSignatures<TSeries>>(props: ChartDataProviderProps<TSeries, TSignatures> & ChartsLocalizationProviderProps) => {
  children: import("react").ReactNode;
  localeText: Partial<import("../locales/index.js").ChartsLocaleText> | undefined;
  chartProviderProps: ChartProviderProps<TSeries, TSignatures>;
};