import * as React from 'react';
import { CommonChartsReferenceLineProps } from "./common.js";
import { ChartsReferenceLineClasses } from "./chartsReferenceLineClasses.js";
export type ChartsXReferenceLineProps<TValue extends string | number | Date = string | number | Date> = CommonChartsReferenceLineProps & {
  /**
   * The x value associated with the reference line.
   * If defined the reference line will be vertical.
   */
  x: TValue;
};
export declare function getXReferenceLineClasses(classes?: Partial<ChartsReferenceLineClasses>): Record<"root" | "line" | "label", string>;
declare function ChartsXReferenceLine(props: ChartsXReferenceLineProps): React.JSX.Element | null;
export { ChartsXReferenceLine };