import * as React from 'react';
import { PieItemId } from "../models/index.js";
export interface PieArcClasses {
  /** Styles applied to the root element. */
  root: string;
  /** Styles applied to the root element when highlighted. */
  highlighted: string;
  /** Styles applied to the root element when faded. */
  faded: string;
  /**
   * Styles applied to the root element for a specified series.
   * Needs to be suffixed with the series ID: `.${pieArcClasses.series}-${seriesId}`.
   */
  series: string;
}
export type PieArcClassKey = keyof PieArcClasses;
interface PieArcOwnerState {
  id: PieItemId;
  dataIndex: number;
  color: string;
  isFaded: boolean;
  isHighlighted: boolean;
  classes?: Partial<PieArcClasses>;
}
export declare function getPieArcUtilityClass(slot: string): string;
export declare const pieArcClasses: PieArcClasses;
export type PieArcProps = Omit<React.SVGProps<SVGPathElement>, 'ref' | 'id'> & PieArcOwnerState & {
  cornerRadius: number;
  endAngle: number;
  innerRadius: number;
  onClick?: (event: React.MouseEvent<SVGPathElement, MouseEvent>) => void;
  outerRadius: number;
  paddingAngle: number;
  startAngle: number;
  /** @default false */
  skipAnimation: boolean;
};
declare const PieArc: React.ForwardRefExoticComponent<Omit<React.SVGProps<SVGPathElement>, "ref" | "id"> & PieArcOwnerState & {
  cornerRadius: number;
  endAngle: number;
  innerRadius: number;
  onClick?: (event: React.MouseEvent<SVGPathElement, MouseEvent>) => void;
  outerRadius: number;
  paddingAngle: number;
  startAngle: number;
  /** @default false */
  skipAnimation: boolean;
} & React.RefAttributes<SVGPathElement>>;
export { PieArc };