import * as React from 'react';
import { MakeOptional } from '@mui/x-internals/types';
import { ChartContainerProps } from "../../ChartContainer/index.js";
import { RadarSeriesType } from "../../models/seriesType/radar.js";
import { UseChartPolarAxisSignature } from "../../internals/plugins/featurePlugins/useChartPolarAxis/index.js";
import { UseChartHighlightSignature } from "../../internals/plugins/featurePlugins/useChartHighlight/index.js";
import { UseChartInteractionSignature } from "../../internals/plugins/featurePlugins/useChartInteraction/index.js";
import { RadarConfig } from "./radar.types.js";
type RadarPluginSignatures = [UseChartPolarAxisSignature, UseChartInteractionSignature, UseChartHighlightSignature];
export interface RadarDataProviderProps extends Omit<ChartContainerProps<'radar', RadarPluginSignatures>, 'series' | 'plugins' | 'rotationAxis' | 'radiusAxis' | 'dataset'> {
  /**
   * The series to display in the bar chart.
   * An array of [[RadarSeriesType]] objects.
   */
  series: Readonly<MakeOptional<RadarSeriesType, 'type'>>[];
  /**
   * The configuration of the radar scales.
   */
  radar: RadarConfig;
  /**
   * Indicates if the chart should highlight items per axis or per series.
   * @default 'axis'
   */
  highlight?: 'axis' | 'series' | 'none';
}
declare function RadarDataProvider(props: RadarDataProviderProps): React.JSX.Element;
declare namespace RadarDataProvider {
  var propTypes: any;
}
export { RadarDataProvider };