import type { RadarChartProps } from "./RadarChart.js";
import { ChartsOverlayProps } from "../ChartsOverlay/index.js";
import { ChartsLegendSlotExtension } from "../ChartsLegend/index.js";
import type { ChartsWrapperProps } from "../internals/components/ChartsWrapper/index.js";
import { RadarDataProviderProps } from "./RadarDataProvider/RadarDataProvider.js";
import { ChartsSurfaceProps } from "../ChartsSurface/index.js";
import { RadarGridProps } from "./RadarGrid/index.js";
/**
 * A helper function that extracts RadarChartProps from the input props
 * and returns an object with props for the children components of RadarChart.
 *
 * @param props The input props for RadarChart
 * @returns An object with props for the children components of RadarChart
 */
export declare const useRadarChartProps: (props: RadarChartProps) => {
  highlight: "none" | "series" | "axis";
  chartsWrapperProps: Omit<ChartsWrapperProps, "children">;
  chartsSurfaceProps: ChartsSurfaceProps;
  radarDataProviderProps: RadarDataProviderProps;
  radarGrid: RadarGridProps;
  overlayProps: ChartsOverlayProps;
  legendProps: ChartsLegendSlotExtension;
  children: import("react").ReactNode;
};