import * as React from 'react';
import { ChartsAxisProps } from "../ChartsAxis/index.js";
import { ChartsAxisHighlightProps } from "../ChartsAxisHighlight/index.js";
import { ChartsGridProps } from "../ChartsGrid/index.js";
import { ChartsLegendSlotExtension } from "../ChartsLegend/index.js";
import { ChartsOverlayProps } from "../ChartsOverlay/index.js";
import { ChartContainerProps } from "../ChartContainer/index.js";
import type { ScatterChartProps } from "./ScatterChart.js";
import type { ScatterPlotProps } from "./ScatterPlot.js";
import type { ChartsWrapperProps } from "../internals/components/ChartsWrapper/index.js";
import { ScatterChartPluginsSignatures } from "./ScatterChart.plugins.js";
/**
 * A helper function that extracts ScatterChartProps from the input props
 * and returns an object with props for the children components of ScatterChart.
 *
 * @param props The input props for ScatterChart
 * @returns An object with props for the children components of ScatterChart
 */
export declare const useScatterChartProps: (props: ScatterChartProps) => {
  chartsWrapperProps: Omit<ChartsWrapperProps, "children">;
  chartContainerProps: ChartContainerProps<"scatter", ScatterChartPluginsSignatures>;
  chartsAxisProps: ChartsAxisProps;
  gridProps: ChartsGridProps;
  scatterPlotProps: ScatterPlotProps;
  overlayProps: ChartsOverlayProps;
  legendProps: ChartsLegendSlotExtension;
  axisHighlightProps: ChartsAxisHighlightProps;
  children: React.ReactNode;
};