import type { PiecewiseColorLegendProps } from "./PiecewiseColorLegend.js";
import type { ChartsLegendSlotExtension } from "./chartsLegend.types.js";
export interface PiecewiseColorLegendClasses {
  /** Styles applied to the root element. */
  root: string;
  /** Styles applied to the list item that renders the `minLabel`. */
  minLabel: string;
  /** Styles applied to the list item that renders the `maxLabel`. */
  maxLabel: string;
  /** Styles applied to the list items. */
  item: string;
  /** Styles applied to the legend in column layout. */
  vertical: string;
  /** Styles applied to the legend in row layout. */
  horizontal: string;
  /** Styles applied to the legend with the labels before the color marks. */
  start: string;
  /** Styles applied to the legend with the labels after the color marks. */
  end: string;
  /** Styles applied to the legend with the labels on the extremes of the color marks. */
  extremes: string;
  /** Styles applied to the marks. */
  mark: string;
  /** Styles applied to the series label. */
  label: string;
}
export declare const useUtilityClasses: (props: PiecewiseColorLegendProps & ChartsLegendSlotExtension) => Record<"root" | "label" | "mark" | "item" | "minLabel" | "maxLabel", string>;
export declare const piecewiseColorLegendClasses: PiecewiseColorLegendClasses;