import * as React from 'react';
import { CommonChartsReferenceLineProps } from "./common.js";
import { ChartsReferenceLineClasses } from "./chartsReferenceLineClasses.js";
export type ChartsYReferenceLineProps<TValue extends string | number | Date = string | number | Date> = CommonChartsReferenceLineProps & {
  /**
   * The y value associated with the reference line.
   * If defined the reference line will be horizontal.
   */
  y: TValue;
};
export declare function getYReferenceLineClasses(classes?: Partial<ChartsReferenceLineClasses>): Record<"root" | "line" | "label", string>;
declare function ChartsYReferenceLine(props: ChartsYReferenceLineProps): React.JSX.Element | null;
export { ChartsYReferenceLine };