import * as React from 'react';
import { PopperProps } from '@mui/material/Popper';
import { TriggerOptions } from "./utils.js";
import { ChartsTooltipClasses } from "./chartsTooltipClasses.js";
export interface ChartsTooltipContainerProps extends Partial<PopperProps> {
  /**
   * Select the kind of tooltip to display
   * - 'item': Shows data about the item below the mouse.
   * - 'axis': Shows values associated with the hovered x value
   * - 'none': Does not display tooltip
   * @default 'axis'
   */
  trigger?: TriggerOptions;
  /**
   * Override or extend the styles applied to the component.
   */
  classes?: Partial<ChartsTooltipClasses>;
  children?: React.ReactNode;
}
/**
 * Demos:
 *
 * - [ChartsTooltip](https://mui.com/x/react-charts/tooltip/)
 *
 * API:
 *
 * - [ChartsTooltip API](https://mui.com/x/api/charts/charts-tool-tip/)
 */
declare function ChartsTooltipContainer(inProps: ChartsTooltipContainerProps): React.JSX.Element | null;
declare namespace ChartsTooltipContainer {
  var propTypes: any;
}
export { ChartsTooltipContainer };