import * as React from 'react';
import { ChartsAxisProps } from "../ChartsAxis/index.js";
import { ChartsAxisHighlightProps } from "../ChartsAxisHighlight/index.js";
import { ChartsClipPathProps } from "../ChartsClipPath/index.js";
import { ChartsGridProps } from "../ChartsGrid/index.js";
import { ChartsLegendSlotExtension } from "../ChartsLegend/index.js";
import { ChartsOverlayProps } from "../ChartsOverlay/index.js";
import { ChartContainerProps } from "../ChartContainer/index.js";
import { AreaPlotProps } from "./AreaPlot.js";
import type { LineChartProps } from "./LineChart.js";
import { LineHighlightPlotProps } from "./LineHighlightPlot.js";
import { LinePlotProps } from "./LinePlot.js";
import { MarkPlotProps } from "./MarkPlot.js";
import type { ChartsWrapperProps } from "../internals/components/ChartsWrapper/index.js";
import { LineChartPluginsSignatures } from "./LineChart.plugins.js";
/**
 * A helper function that extracts LineChartProps from the input props
 * and returns an object with props for the children components of LineChart.
 *
 * @param props The input props for LineChart
 * @returns An object with props for the children components of LineChart
 */
export declare const useLineChartProps: (props: LineChartProps) => {
  chartsWrapperProps: Omit<ChartsWrapperProps, "children">;
  chartContainerProps: ChartContainerProps<"line", LineChartPluginsSignatures>;
  gridProps: ChartsGridProps;
  clipPathProps: ChartsClipPathProps;
  clipPathGroupProps: {
    clipPath: string;
  };
  areaPlotProps: AreaPlotProps;
  linePlotProps: LinePlotProps;
  markPlotProps: MarkPlotProps;
  overlayProps: ChartsOverlayProps;
  chartsAxisProps: ChartsAxisProps;
  axisHighlightProps: ChartsAxisHighlightProps;
  lineHighlightPlotProps: LineHighlightPlotProps;
  legendProps: ChartsLegendSlotExtension;
  children: React.ReactNode;
};