import { ChartsXAxisProps, ChartsAxisProps, ChartsYAxisProps, AxisId, DefaultedXAxis, DefaultedYAxis } from "../../../../models/axis.js";
import { ChartSeriesType } from "../../../../models/seriesType/config.js";
import type { ChartDrawingArea } from "../../../../hooks/index.js";
import { ChartSeriesConfig } from "../../models/seriesConfig/index.js";
import { ComputedAxisConfig, DefaultizedZoomOptions } from "./useChartCartesianAxis.types.js";
import { ProcessedSeries } from "../../corePlugins/useChartSeries/useChartSeries.types.js";
import { GetZoomAxisFilters, ZoomData } from "./zoom.types.js";
export type ComputeResult<T extends ChartsAxisProps> = {
  axis: ComputedAxisConfig<T>;
  axisIds: string[];
};
type ComputeCommonParams<T extends ChartSeriesType = ChartSeriesType> = {
  drawingArea: ChartDrawingArea;
  formattedSeries: ProcessedSeries<T>;
  seriesConfig: ChartSeriesConfig<T>;
  zoomMap?: Map<AxisId, ZoomData>;
  zoomOptions?: Record<AxisId, DefaultizedZoomOptions>;
  getFilters?: GetZoomAxisFilters;
};
export declare function computeAxisValue<T extends ChartSeriesType>(options: ComputeCommonParams<T> & {
  axis?: DefaultedYAxis[];
  axisDirection: 'y';
}): ComputeResult<ChartsYAxisProps>;
export declare function computeAxisValue<T extends ChartSeriesType>(options: ComputeCommonParams<T> & {
  axis?: DefaultedXAxis[];
  axisDirection: 'x';
}): ComputeResult<ChartsXAxisProps>;
export {};