import { BarSeriesType, DefaultizedBarSeriesType } from "./bar.js";
import { CartesianChartSeriesType, ChartSeriesType, ChartsSeriesConfig, StackableChartSeriesType } from "./config.js";
type AllSeriesType<T extends ChartSeriesType = ChartSeriesType> = ChartsSeriesConfig[T]['seriesProp'];
/**
 * @deprecated We do not use this type in v8. If it's useful for you use case, please open an issue explaining why.
 * Otherwise, it will be removed in next major.
 */
type CartesianSeriesType = AllSeriesType<CartesianChartSeriesType>;
type DefaultizedSeriesType<T extends ChartSeriesType = ChartSeriesType> = ChartsSeriesConfig[T]['series'];
/**
 * @deprecated We do not use this type in v8. If it's useful for you use case, please open an issue explaining why.
 * Otherwise, it will be removed in next major.
 */
type DefaultizedCartesianSeriesType = DefaultizedSeriesType<CartesianChartSeriesType>;
/**
 * @deprecated We do not use this type in v8. If it's useful for you use case, please open an issue explaining why.
 * Otherwise, it will be removed in next major.
 */
type StackableSeriesType = DefaultizedSeriesType<StackableChartSeriesType>;
export type SeriesItemIdentifier<T extends ChartSeriesType = ChartSeriesType> = ChartsSeriesConfig[T]['itemIdentifier'];
export * from "./line.js";
export * from "./bar.js";
export * from "./scatter.js";
export * from "./pie.js";
export * from "./radar.js";
export type { AllSeriesType, DefaultizedSeriesType, CartesianSeriesType, DefaultizedCartesianSeriesType, StackableSeriesType };
/**
 * @deprecated We do not use this function in v8. If it's useful for you use case, please open an issue explaining why.
 * Otherwise, it will be removed in next major.
 */
export declare function isDefaultizedBarSeries(series: DefaultizedSeriesType): series is DefaultizedBarSeriesType;
/**
 * @deprecated We do not use this function in v8. If it's useful for you use case, please open an issue explaining why.
 * Otherwise, it will be removed in next major.
 */
export declare function isBarSeries(series: AllSeriesType): series is BarSeriesType;